Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.query
Class ProcInstLogQueryBuilderImpl

    java.lang.Object
      org.kie.internal.query.AbstractQueryBuilderImpl<T>
          org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder>
              org.jbpm.process.audit.query.ProcInstLogQueryBuilderImpl

All Implemented Interfaces:
  org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder>, org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder

    public class ProcInstLogQueryBuilderImpl

extends AbstractAuditQueryBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder>
implements org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder

Nested Class Summary

Nested classes/interfaces inherited from interface org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder.OrderBy`

Field Summary

Fields inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl
`executor, jpaAuditService`

Fields inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`queryData`

Constructor Summary
`ProcInstLogQueryBuilderImpl(CommandExecutor cmdExecutor)`
`ProcInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)`

Method Summary
`org.kie.internal.query.ParametrizedQuery<ProcessInstanceLog>` | `buildQuery()`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `duration(long... duration)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `durationMax(long durationMax)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `durationMin(long durationMin)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `endDate(Date... date)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `endDateRangeEnd(Date rangeEnd)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `endDateRangeStart(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `identity(String... identity)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `orderBy(org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder.OrderBy field)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `outcome(String... outcome)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processName(String... processName)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `processVersion(String... version)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `startDate(Date... date)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `startDateRangeEnd(Date rangeEnd)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `startDateRangeStart(Date rangeStart)`
`org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder` | `status(int... status)`

Methods inherited from class org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl
`date, dateRangeEnd, dateRangeStart, getJpaAuditLogService, processId, processInstanceId`

Methods inherited from class org.kie.internal.query.AbstractQueryBuilderImpl
`addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder
`processId, processInstanceId`

Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder
`ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

Constructor Detail

### ProcInstLogQueryBuilderImpl

    public ProcInstLogQueryBuilderImpl(CommandExecutor cmdExecutor)

### ProcInstLogQueryBuilderImpl

    public ProcInstLogQueryBuilderImpl(JPAAuditLogService jpaAuditService)

Method Detail

### status

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder status(int... status)

  Specified by:
    `status` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### duration

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder duration(long... duration)

  Specified by:
    `duration` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### durationMin

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder durationMin(long durationMin)

  Specified by:
    `durationMin` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### durationMax

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder durationMax(long durationMax)

  Specified by:
    `durationMax` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### identity

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder identity(String... identity)

  Specified by:
    `identity` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### processVersion

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processVersion(String... version)

  Specified by:
    `processVersion` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### processName

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder processName(String... processName)

  Specified by:
    `processName` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### startDate

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder startDate(Date... date)

  Specified by:
    `startDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### startDateRangeStart

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder startDateRangeStart(Date rangeStart)

  Specified by:
    `startDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### startDateRangeEnd

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder startDateRangeEnd(Date rangeEnd)

  Specified by:
    `startDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### endDate

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder endDate(Date... date)

  Specified by:
    `endDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### endDateRangeStart

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder endDateRangeStart(Date rangeStart)

  Specified by:
    `endDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### endDateRangeEnd

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder endDateRangeEnd(Date rangeEnd)

  Specified by:
    `endDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### outcome

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder outcome(String... outcome)

  Specified by:
    `outcome` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### orderBy

    public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder orderBy(org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder.OrderBy field)

  Specified by:
    `orderBy` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

### buildQuery

    public org.kie.internal.query.ParametrizedQuery<ProcessInstanceLog> buildQuery()

  Specified by:
    `buildQuery` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogQueryBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.